<?php

/*
 * This file is part of yuml-php
 *
 * (c) Robert Schönthal <seroscho@googlemail.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace YumlPhp\Tests\Application;

use YumlPhp\Request\FileRequest;

/**
 * FileRequestTest
 *
 * @author Robert Schönthal <seroscho@googlemail.com>
 * 
 * @covers YumlPhp\Request\FileRequest<extended>
 */
class FileRequestTest extends \PHPUnit_Framework_TestCase
{
    public function testGetContent()
    {
        $file = __DIR__.'/../Fixtures/activity.txt';
        
        $request = new FileRequest($file);
        
        $this->assertEquals($file, $request->getFile());
        $this->assertStringEqualsFile($file, $request->getContent());
    }
}
